Bug 71811 - [maintainer] update CUPS 1.1.20 -> 1.1.21
Summary: [maintainer] update CUPS 1.1.20 -> 1.1.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-09-17 10:50 UTC by Akifyev Sergey
Modified: 2004-11-14 23:10 UTC (History)
0 users

See Also:


Attachments
cups.diff (765 bytes, patch)
2004-09-17 10:50 UTC, Akifyev Sergey
no flags Details | Diff
cups-base.diff (8.41 KB, patch)
2004-09-17 10:50 UTC, Akifyev Sergey
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Akifyev Sergey 2004-09-17 10:50:15 UTC
Update CUPS 1.1.20 -> 1.1.21
See http://www.cups.org/relnotes.php for details

Fix: diff -u cups-lpr.orig/Makefile cups-lpr/Makefile
--- cups-lpr.orig/Makefile	Thu Sep 16 11:16:04 2004
+++ cups-lpr/Makefile	Thu Sep 16 12:12:40 2004
@@ -20,7 +20,7 @@
 
 USE_REINPLACE=	yes
 
-MANLANG=	"" fr
+MANLANG=	""
 
 .ifndef CUPS_OVERWRITE_BASE
 PKGINSTALL=	nonexistent
Common subdirectories: cups-lpr.orig/files and cups-lpr/files
diff -u cups-lpr.orig/pkg-install cups-lpr/pkg-install
--- cups-lpr.orig/pkg-install	Thu Sep 16 11:16:04 2004
+++ cups-lpr/pkg-install	Thu Sep 16 12:20:20 2004
@@ -10,7 +10,7 @@
 case $2 in
 POST-INSTALL)
 	for FILE in ${REPLACES_BINARIES}; do
-		[ -e "${FILE}" ] && mv "${FILE}" "${FILE}.bak"
+		[ -e "${FILE}" ] && chmod 000 "${FILE}"
 	done
 ;;
 esac
--- cups-lpr.diff ends here ---
Comment 1 Michael Reifenberger freebsd_committer 2004-11-03 14:57:42 UTC
State Changed
From-To: open->feedback

Request a update to 1.1.22 if possible.
Comment 2 Michael Reifenberger 2004-11-03 15:08:16 UTC
Hi,
since 1.1.22 is out would it be possible for you to upgrade to this version?
I'll test and commit afterwards if noone else picks it up first.

Thanks!

Bye/2
---
Michael Reifenberger, Business Development Manager SAP-Basis, Plaut Consulting
Comp: Michael.Reifenberger@plaut.de | Priv: Michael@Reifenberger.com
       http://www.plaut.de           |       http://www.Reifenberger.com
Comment 3 Michael Nottebrock 2004-11-03 15:30:10 UTC
The submitter has repeatedly stated on mailing lists that real life issues 
prevent him from working on further cups updates at this time. If you want to 
adopt this PR, I think it would be good to commit it right away as a 
stop-gap.

-- 
   ,_,   | Michael Nottebrock               | lofi@freebsd.org
 (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
   \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 4 Michael Nottebrock freebsd_committer 2004-11-14 23:10:00 UTC
State Changed
From-To: feedback->	 closed

Committed, thanks!